package com.dxhy.customs.constants;

import lombok.AllArgsConstructor;

/**
 * @author dxhy
 */
@AllArgsConstructor
public enum XxlyEnum {
    // 签收方式（0-扫码签收 1-扫描仪签收 2-app签收 3-导入签收 4-手工签收，5-电票上传）

    A("0", "扫描认证"), B("1", "系统推送"), C("2", "出口转内销");

    private String key;
    private String value;

    public static String getVal(String key) {
        for (XxlyEnum materialEnum : XxlyEnum.values()) {
            if (materialEnum.key.equals(key)) {
                return materialEnum.value;
            }
        }
        return null;
    }
}
